package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ResourceData;
import com.lightinit.hsdataportal.entity.ResourceDataExample;
import com.lightinit.hsdataportal.entity.ResourceDataWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ResourceDataMapper {
    long countByExample(ResourceDataExample example);

    int deleteByExample(ResourceDataExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceDataWithBLOBs record);

    int insertSelective(ResourceDataWithBLOBs record);

    List<ResourceDataWithBLOBs> selectByExampleWithBLOBs(ResourceDataExample example);

    List<ResourceData> selectByExample(ResourceDataExample example);

    ResourceDataWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceDataWithBLOBs record, @Param("example") ResourceDataExample example);

    int updateByExampleWithBLOBs(@Param("record") ResourceDataWithBLOBs record, @Param("example") ResourceDataExample example);

    int updateByExample(@Param("record") ResourceData record, @Param("example") ResourceDataExample example);

    int updateByPrimaryKeySelective(ResourceDataWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(ResourceDataWithBLOBs record);

    int updateByPrimaryKey(ResourceData record);
}